%define module_name	spca5xx
%define module_version	0.57.00
%define module_release	alt1.132620.11

%define kversion	2.6.12
%define krelease	alt11
%define flavour		std26-up

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary: Driver for USB cameras based on spca5xx chips
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release
License: GPL
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
URL: http://mxhaard.free.fr
BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: modutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86

%description
The spca5xx driver for Linux provides support for webcams and digital
cameras based on the spca5xx range of chips.

%prep
%__rm -rf kernel-source-%module_name-%module_version
%__tar -jxf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version

%build
%make_build -C %_usrsrc/linux-%kversion-%flavour modules SUBDIRS=`pwd`

%install
%__install -d %buildroot%module_dir
%if "%kversion" <= "2.6.0"
    %__install -p -m644 spca5xx.o %buildroot%module_dir
%else
    %__install -p -m644 spca5xx.ko %buildroot%module_dir
%endif

%__install -d %buildroot%_docdir/%name-%version-%release
%__install -p -m644 README* CHANGELOG RGB-YUV* \
	%buildroot%_docdir/%name-%version-%release

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir
%doc %_docdir/%name-%version-%release

%changelog
* Tue Jul 12 2005 Sergey Vlasov <vsu@altlinux.ru> 0.57.00-alt1.132620.11
- First build for ALT Linux.
